Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.roi
Class ROIContextJAI

    java.lang.Object
      |
      +--com.vistech.jai.roi.ROIContextJAI

public class ROIContextJAI
extends java.lang.Object

A convenient class that represents the context of an ROI. It contains the image in which the ROI is deposited. All the ROIs deposited on an image have the same ROI context.

Version:
  1.0 3 Oct 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected javax.media.jai.ROI` | `currentROI`
`protected javax.media.jai.TiledImage` | `displayImage`
`protected javax.media.jai.PlanarImage` | `origImage`
`protected java.util.Vector` | `roiCollection`

Constructor Summary
`ROIContextJAI(javax.media.jai.PlanarImage img)`

Method Summary
`void` | `addROI(javax.media.jai.ROI roi)`
`protected void` | `createDisplayImage()`
`void` | `depositROI(javax.media.jai.ROIShape roi)`
`java.lang.String[]` | `getComponentNames()`
`javax.media.jai.ROI` | `getCurrentROI()`
`javax.media.jai.TiledImage` | `getDisplayImage()`
`java.awt.image.WritableRaster` | `getDisplayRaster()`
`javax.media.jai.PlanarImage` | `getOriginalImage()`
`java.awt.image.WritableRaster` | `getOriginalRaster()`
`void` | `removeROI(javax.media.jai.ROI roi)`
`void` | `reset()`
`void` | `setCurrentROI(javax.media.jai.ROI roi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### origImage

    protected javax.media.jai.PlanarImage origImage

### displayImage

    protected javax.media.jai.TiledImage displayImage

### roiCollection

    protected java.util.Vector roiCollection

### currentROI

    protected javax.media.jai.ROI currentROI

Constructor Detail

### ROIContextJAI

    public ROIContextJAI(javax.media.jai.PlanarImage img)

Method Detail

### getOriginalImage

    public javax.media.jai.PlanarImage getOriginalImage()

### getDisplayImage

    public javax.media.jai.TiledImage getDisplayImage()

### createDisplayImage

    protected void createDisplayImage()

### getOriginalRaster

    public java.awt.image.WritableRaster getOriginalRaster()

### getDisplayRaster

    public java.awt.image.WritableRaster getDisplayRaster()

### setCurrentROI

    public void setCurrentROI(javax.media.jai.ROI roi)

### getCurrentROI

    public javax.media.jai.ROI getCurrentROI()

### addROI

    public void addROI(javax.media.jai.ROI roi)

### removeROI

    public void removeROI(javax.media.jai.ROI roi)

### depositROI

    public void depositROI(javax.media.jai.ROIShape roi)

### getComponentNames

    public java.lang.String[] getComponentNames()

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD